This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 839182 (CVE-2012-2813)

Summary: CVE-2012-2813 libexif: "exif_convert_utf16_to_utf8()" heap-based out-of-bounds array read
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jrusnack, rhughes, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120712,reported=20120709,source=researcher,cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:N/A:P,rhel-5/libexif=affected,rhel-6/libexif=affected,fedora-all/libexif=affected
Fixed In Version: libexif 0.6.21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-21 23:25:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 839913, 839914, 839915, 839916, 839917    
Bug Blocks: 839036    

Description Stefan Cornelius 2012-07-11 03:29:14 EDT
A heap-based out-of-bounds array read in the  function in libexif/exif-entry.c in libexif 0.6.20 and earlier allows remote attackers to cause a denial of service or possibly obtain potentially sensitive information from process memory via an image with crafted EXIF tags.
Comment 3 Stefan Cornelius 2012-07-13 04:11:42 EDT
Created libexif tracking bugs for this issue

Affects: fedora-all [bug 839917]
Comment 5 Stefan Cornelius 2012-08-10 04:52:41 EDT
Upstream advisory:
http://sourceforge.net/mailarchive/message.php?msg_id=29534027
Comment 6 Murray McAllister 2012-08-22 02:46:10 EDT
Acknowledgements:

Red Hat would like to thank Dan Fandrich for reporting this issue. Upstream acknowledges Mateusz Jurczyk of the Google Security Team as the original reporter.
Comment 7 errata-xmlrpc 2012-09-11 14:15:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1255 https://rhn.redhat.com/errata/RHSA-2012-1255.html
Comment 8 Fedora Update System 2013-02-07 21:13:46 EST
libexif-0.6.21-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-02-07 21:34:07 EST
libexif-0.6.21-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.